CairoContext::glyphPath
CairoContext::identityMatrix
CairoContext
PHP Manual

# CairoContext::hasCurrentPoint

# cairo_has_current_point

(PECL cairo >= 0.1.0)

CairoContext::hasCurrentPoint -- cairo_has_current_point — The hasCurrentPoint purpose

### Description

Object oriented style (method):

public bool CairoContext::hasCurrentPoint ( void )

Procedural style:

bool cairo_has_current_point ( CairoContext `$context` )

Returns whether a current point is defined on the current path. See CairoContext::getCurrentPoint() for details on the current point.

### Parameters

`context`

  A valid CairoContext object.

### Return Values

Whether a current point is defined

### Examples

Example #1 Object oriented style

`<?php
$s = new CairoImageSurface(CairoFormat::ARGB32, 100, 100);
$c = new CairoContext($s);
var_dump($c->hasCurrentPoint());
$c->moveTo(10, 10);
var_dump($c->hasCurrentPoint());
?>`

The above example will output:

    bool(false)
    bool(true)

Example #2 Procedural style

`<?php
$s = cairo_image_surface_create(CAIRO_SURFACE_TYPE_IMAGE, 100, 100);
$c = cairo_create($s);
var_dump(cairo_has_current_point($c));
cairo_move_to($c, 10, 10);
var_dump(cairo_has_current_point($c));
?>`

The above example will output:

    bool(false)
    bool(true)

### See Also

- CairoContext::getCurrentPoint() - The getCurrentPoint purpose

CairoContext::glyphPath
CairoContext::identityMatrix
CairoContext
PHP Manual